# FieldsDisplayConfiguration class

Field display configuration object

Annotations
  - @JsonSerializable(includeIfNull: false, createFactory: false, explicitToJson: true)

## Constructors

FieldsDisplayConfiguration(String normalizedFieldName, String defaultDisplayText, FieldDisplayState defaultDisplayState)

## Properties

defaultDisplayState ↔ FieldDisplayState
  The default display state of a field in the RTU UI, could be hidden by default or visible by default.
  getter/setter pair
defaultDisplayText ↔ String
  The display text of the field in the list
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
normalizedFieldName ↔ String
  Complete list of available normalized field names is available in the documentation
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited